            function change(){
                var pocet = document.form.pocetUcastniku.options[document.form.pocetUcastniku.selectedIndex].value;

                var divUcastnici = document.getElementById("ucastnici");

                if(divUcastnici.firstChild){
                    divUcastnici.removeChild(divUcastnici.firstChild);
                }

                var insideDiv = document.createElement("div");
                divUcastnici.appendChild(insideDiv);

                for(i=1;i<=pocet;i++) {
                    var p = document.createElement("p");

                    var txt = document.createTextNode("URI " + i + ". účastníka: ");
                    p.appendChild(txt);

                    var newinput = document.createElement('input');
                    newinput.setAttribute("type", "text");
                    newinput.setAttribute("name", ("uc"+i));
                    newinput.setAttribute("size", "30");
                    p.appendChild(newinput);

                    var newkrizek = document.createElement("div");
                    newkrizek.setAttribute("class", "delete_user");
                    newkrizek.setAttribute("onclick", "deleteInput(this)");
                    p.appendChild(newkrizek);

                    //var newbr = document.createElement("br");
                    //insideDiv.appendChild(newbr);
                    insideDiv.appendChild(p);
                }
                divUcastnici.appendChild(insideDiv);
            }
			
//********************************************************************************************************************************

            function deleteInput(el) {
                el.parentNode.childNodes[1].value='';
            }
			
//********************************************************************************************************************************

            function validate(form) {
                pocet = form.pocetUcastniku.options[form.pocetUcastniku.selectedIndex].value;
                uri=/^.+@\b(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\b$/
                domain = /^.+@.+\..{2,4}$/

                for(i=0;i<=form.length;i++) {
                    with(form.elements[i]){
                        if(type == "text"){
                            if (uri.test(value)==false && domain.test(value)== false){
                                window.alert("Nesprávný formát adresy. Musí být např. pavel@192.168.0.1 nebo pavel@pavel.cz");
                                focus();
                                return false;
                            }
                        }
                    }
                }
                return true;
            }
			
//********************************************************************************************************************************

            function addUser(user){
                pocet = document.form.pocetUcastniku.options[document.form.pocetUcastniku.selectedIndex].value;
                for(i=1;i<=pocet;i++) {
                            if (document.form.elements[i].value=="" || document.form.elements[i].value==null){
                                document.form.elements[i].value = user.innerHTML;
                                return true;
                            }
                }
                window.alert("Všichni účastníci jsou již vyplněni!");
            }